.nill-content-2-imgs-box {
	grid-template-rows: auto auto 1fr;
}

.nill-content-2-imgs-box .content-container {
    grid-area: 1/4/span 3/span 4;
}

.nill-content-2-imgs-box:has(.img-left) .content-container {
    grid-area: 1/4/span 1/span 4;
}

.nill-content-2-imgs-box .content-container .text-container {
	max-width: 46ch;
}

.nill-content-2-imgs-box .img-right {
    grid-area: 1/9/span 2/span 5;
    aspect-ratio: 946/712;
}

.nill-content-2-imgs-box .img-left {
    grid-area: 2/2/span 2/span 5;
    aspect-ratio: 946/572;
    margin-top: calc(var(--m-xs) + var(--m-md));
}

.nill-content-2-imgs-box .content-box {
    grid-area: 3/9/span 1/span 5;
    padding: var(--m-sm);
    padding-left: var(--m-xs);
    height: fit-content;
}

.nill-content-2-imgs-box .content-box .headline {
    grid-area: 1/1/span 1/span 4;
    max-width: 16ch;
}

.nill-content-2-imgs-box .content-box .text-container {
    grid-area: 2/1/span 1/span 3;
}

.nill-content-2-imgs-box .content-box .btn {
    grid-area: 2/4/span 1/span 2;
}

.nill-content-2-imgs-box .btns-container {
    grid-area: 3/9/span 1/span 5;
}

.nill-content-2-imgs-box:has(.content-box) .btns-container {
    grid-area: 3/9/span 1/span 5;
}

@media (max-width: 1399.98px) {
    .nill-content-2-imgs-box .content-container {
        grid-area: 1/2/span 3/span 5;
    }

    .nill-content-2-imgs-box:has(.img-left) .content-container {
        grid-area: 1/2/span 1/span 5;
    }

    .nill-content-2-imgs-box .img-right {
        grid-area: 1/8/span 2/span 6;
    }

    .nill-content-2-imgs-box .content-box {
        grid-area: 3/8/span 1/span 6;
    }

    .nill-content-2-imgs-box .content-box .headline {
        grid-area: 1/1/span 1/span 5;
    }

    .nill-content-2-imgs-box .content-box .text-container {
        grid-area: 2/1/span 1/span 6;
    }

    .nill-content-2-imgs-box .content-box .btn {
        grid-area: 3/1/span 1/span 6;
    }

    .nill-content-2-imgs-box .btns-container {
        grid-area: 3/8/span 1/span 6;
    }

    .nill-content-2-imgs-box:has(.content-box) .btns-container {
        grid-area: 4/8/span 1/span 6;
    }
}

@media (max-width: 991.98px) {
    .nill-content-2-imgs-box {
	    grid-template-rows: auto;
    }
    
    .nill-content-2-imgs-box .content-container,
    .nill-content-2-imgs-box:has(.img-left) .content-container  {
        grid-area: 1/4/span 1/span 8;
    }

    .nill-content-2-imgs-box .img-left {
        grid-area: 2/4/span 1/span 8;
    }

    .nill-content-2-imgs-box .content-box {
        grid-area: 3/4/span 1/span 8;
        grid-template-columns: repeat(6, 1fr);
    }

    .nill-content-2-imgs-box .img-right {
        grid-area: 4/4/span 1/span 8;
        margin-top: var(--m-sm);
    }

    .nill-content-2-imgs-box .btns-container {
        grid-area: 3/4/span 1/span 8;
    }

    .nill-content-2-imgs-box:has(.content-box) .btns-container {
        grid-area: 4/4/span 1/span 8;
    }
}

@media (max-width: 767.98px) {
    .nill-content-2-imgs-box .content-container,
    .nill-content-2-imgs-box:has(.img-left) .content-container,
    .nill-content-2-imgs-box .img-left,
    .nill-content-2-imgs-box .content-box,
    .nill-content-2-imgs-box .img-right,
    .nill-content-2-imgs-box .btns-container,
    .nill-content-2-imgs-box:has(.content-box) .btns-container {
        grid-column: 3/span 10;
    }
}

@media (max-width: 575.98px) {
    .nill-content-2-imgs-box .content-container,
    .nill-content-2-imgs-box:has(.img-left) .content-container,
    .nill-content-2-imgs-box .img-left,
    .nill-content-2-imgs-box .content-box,
    .nill-content-2-imgs-box .img-right,
    .nill-content-2-imgs-box .btns-container,
    .nill-content-2-imgs-box:has(.content-box) .btns-container  {
        grid-column: 2/span 12;
    }
}